fop 1.1

## org.apache.fop.afp.goca
Class GraphicsCharacterString

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
              org.apache.fop.afp.goca.AbstractGraphicsCoord
                  org.apache.fop.afp.goca.GraphicsCharacterString

All Implemented Interfaces:
  Streamable, StructuredData

    public class GraphicsCharacterString

extends AbstractGraphicsCoord

A GOCA graphics string

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary
`protected static int` `MAX_STR_LEN` Up to 255 bytes of character data

Fields inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord
`coords, relative`

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`GraphicsCharacterString(java.lang.String str, int x, int y, CharacterSet charSet)` Constructor (absolute positioning)

Method Summary
`int` `getDataLength()` Returns the data length of this structured field
`java.lang.String` `toString()`
`void` `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsCoord
`addCoords, isRelative`

Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
`getName`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_STR_LEN

    protected static final int MAX_STR_LEN

  Up to 255 bytes of character data

  See Also:
    Constant Field Values

Constructor Detail

### GraphicsCharacterString

    public GraphicsCharacterString(java.lang.String str,
                                   int x,
                                   int y,
                                   CharacterSet charSet)

  Constructor (absolute positioning)

  Parameters:
    `str` - the character string
    `x` - the x coordinate
    `y` - the y coordinate
    `charSet` - the character set

Method Detail

### getDataLength

    public int getDataLength()

  Returns the data length of this structured field

  Specified by:
    `getDataLength` in interface `StructuredData`
  Overrides:
    `getDataLength` in class `AbstractGraphicsCoord`
  Returns:
    the data length of this structured field

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Specified by:
    `writeToStream` in interface `Streamable`
  Overrides:
    `writeToStream` in class `AbstractGraphicsCoord`
  Parameters:
    `os` - the outputsteam stream
  Throws:
    `java.io.IOException` - an I/O exception of some sort has occurred.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractGraphicsCoord`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.